=== debian/control ===
Source: bppphyview
Section: science
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  qt4-qmake (>= 4.6.0), libqt4-dev (>= 4.6.0),
  libbpp-qt-dev (>= 2.0.0)
Standards-Version: 3.9.1

Package: bppphyview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-qt1 (>= 2.0.0), libqtcore4 (>= 4.6.0), libqtgui4 (>= 4.6.0) 
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.
