=== debian/changelog ===
bppphyview (0.3.0-1) unstable; urgency=low

  * Compatibility update.
  * New option for header line in names translation.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 08 Mar 2013 14:55:00 +0100

bppphyview (0.2.1-1) unstable; urgency=low

  * Compatibility update.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 21:38:00 +0100
