=== debian/changelog ===
bppphyview (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Added full text of CeCILL license.
  * Compiles with -DCMAKE_BUILD_TYPE=RelWithDebInfo to generate debug info
  * Point Vcs-fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 18 Apr 2018 21:03:35 +0200

bppphyview (0.5.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #868794, #868924, #871164
  * Take over to Debian Med team maintenance
  * cme fix dpkg-control
  * debhelper 10
  * DEP5
  * add watch file
  * d/rules: use dh
  * Fix manpage debhelper input
  * Adjust Build-Depends
  * Slightly enhance description
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 22:42:28 +0200

bppphyview (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop superfluous hardcoded library dependencies.  (Closes: #825763)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Jul 2016 14:07:15 +0200
