=== debian/control ===
Source: bppphyview
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               qt5-qmake,
               qtdeclarative5-dev,
               libbpp-qt-dev (>= 2.4.0)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/bppphyview
Vcs-Git: https://salsa.debian.org/med-team/bppphyview.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: bppphyview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.  Phyview allows one
 to visualize, edit, print and output phylogenetic trees and associated data.
