=== debian/watch ===
version=4

https://github.com/BioPP/bppphyview/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
