=== debian/changelog ===
bppphyview (0.6.1-6) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112732
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 10:10:53 +0200

bppphyview (0.6.1-5) unstable; urgency=medium

  * Team upload.
  * Added patch to not shadow dpkg-buildflags.
  * d/rules: no need to specify RelWithDebInfo to get debug info.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 11:36:24 +0100

bppphyview (0.6.1-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 19:52:28 +0100

bppphyview (0.6.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:23:17 +0200

bppphyview (0.6.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Refer to specific version of license GPL-2+.
  * Avoid multiple definitions for manpage

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 09:23:23 +0100

bppphyview (0.6.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #874835
  * Compatibility with Bio++ 2.4.1.

  [ Andreas Tille ]
  * Standards-Version: 4.2.1

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 27 Aug 2018 08:57:24 +0200
