=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installman:
	# Deal with
	# dh_installman: warning: Multiple definitions for manpage via different compressions.  Please ensure there is at most one definition.
	# dh_installman: error: This feature was removed in compat 13.
	gunzip -r obj-*/man/*
	find debian -name phyview.1.gz -delete
	dh_installman
